SIEVESHELL(1)

NAME
sieveshell - Cyrus IMAP documentation

NAME

sieveshell - remotely manipulate sieve scripts

SYNOPSIS

sieveshell [–user=user] [–authname=authname] [–realm=realm] [–password=password] [–exec=script] [–execfile=file] server[:port]

sieveshell –help

DESCRIPTION

sieveshell allows users to manipulate their scripts on a remote server. It works via MANAGESIEVE, a work in progress.

The following commands are recognized:

list list scripts on server.

put <filename> upload script to server.

get <name> [<filename>] get script. if no filename display to stdout

delete <name> delete script.

activate <name> activate script.

deactivate deactivate all scripts.

OPTIONS

•   -u user, –user=user The user whose mailboxes you want to work on. If not specified, it uses the same as -a.

•   -a authname, –authname=authname The user to use for authentication. If not specified, it defaults to the current login user.

•   -r realm, –realm=realm The realm to attempt authentication in.

•   -p password, –password=password The password to use when authenticating to server. Note that this parameter can be seen in the process list. Use with caution!

•   -e script, –exec=script Instead of working interactively, run commands from script, and exit when done.

•   -f file, –execfile=file Instead of working interactively, run commands from file file and exit when done.

REFERENCES

[MANAGESIEVE] Martin, T.; “A Protocol for Remotely Managing Sieve Scripts”, RFC 5804; May 2001

AUTHOR

Tim Martin <tmartin@mirapoint.com>, and the rest of the Cyrus team.

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2018, The Cyrus Team